> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Reader Payment

> Cancel an active payment on a terminal card reader



## OpenAPI

````yaml post /v1/readers/cancel
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/readers/cancel:
    post:
      summary: Cancel the terminal reader
      description: Cancel the terminal reader.
      operationId: cancel-reader
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - reader_id
              properties:
                reader_id:
                  type: string
                  example: tmr_FTQMPAL1boM2kE
                  description: The reader id
      responses:
        '204':
          description: '204'
          content:
            application/json:
              examples:
                Result:
                  value: 1
              schema:
                type: integer
                example: 1
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    message: >-
                      This terminal is not connected to your business. Please go
                      to Settings > Check Reader Connection > Select a terminal,
                      or contact support@hit-pay.com if you face any issues.
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      deprecated: false

````